<HTML>
<HEAD></HEAD>
<BODY>
<?php

require_once __DIR__ . "/vendor/autoload.php";

use duncan3dc\Sonos\Network;
use duncan3dc\Sonos\Directory;
use duncan3dc\Sonos\Tracks\TextToSpeech;
use duncan3dc\Speaker\Providers\VoxygenProvider;


# Get a new instance of the Network class using a long lived cache
$sonos = new Network;


# The path on the local file system to store audio files
# this is a mounted SMB share that I put in FSTAB to auto mount
# when the system boots.
$localPath = "/mnt/sonosAlarmSounds";

# The SMB server (this must be in uppercase, and using an IP has been report$
$hostname = "MULTIMEDIAVAULT";

# The share name that is setup for the local path
# this is the share name with hostname from above
$smb = "{$hostname}/sonosAlarmSounds";

# The final argument is the name of the directory that this object is for
$directory = new Directory($localPath, $smb, "tts");

# Current DSC Server does NOT support passing the zone(s) in the querystring
# so we will just use a switch NOTE: Beta DSC Server DOES support querystrin$
# We have setup DSC Server to have one POSTURL action per zone with the Z qu$
switch($_GET['z']){
        case 1:
          $track = new TextToSpeech("Front Door Opened.", $directory);
          break;
        case 2:
          $track = new TextToSpeech("Back Patio Door Opened.", $directory);
          break;
        case 3:
          $track = new TextToSpeech("Back Sliding Door Opened.", $directory);
          break;
        case 4:
          $track = new TextToSpeech("Garage Side Door Opened.", $directory);
          break;
        case 5:
          $track = new TextToSpeech("Garage Interior Door Opened.", $directo$
          break;
        case 6:
          $track = new TextToSpeech("Left Overhead Garage Door Opened.", $di$
          break;
        case 7:
          $track = new TextToSpeech("Right Overhead Garage Door Opened.", $d$
          break;
        case 8:
          $track = new TextToSpeech("Basement Door Opened.", $directory);
          break;
}

# Here we are NOT using Google, had errors and didn't like the voice as much
$track->setProvider(new VoxygenProvider);

# create controller objects for each speaker
$livingRoom = $sonos->getControllerByRoom("Living Room");
$masterBedroom = $sonos->getControllerByRoom("Master Bedroom");
$jaysWorkRoom = $sonos->getControllerByRoom("Jays Work Area");
$basement = $sonos->getControllerByRoom("Basement");

# get current state to restor later
$masterBedroomState = $masterBedroom->exportState();
$jaysWorkRoomState = $jaysWorkRoom->exportState();
$basementState = $basement->exportState();

# add all the speakers to the living room controller, they'll all play
# the announcement at once this way
$livingRoom->addSpeaker($masterBedroom);
$livingRoom->addSpeaker($jaysWorkRoom);
$livingRoom->addSpeaker($basement);

# interrupt will restore the state for the default controller and set volume$
$livingRoom->interrupt($track,50);

# remove all the speakers from the controller group
$livingRoom->removeSpeaker($masterBedroom);
$livingRoom->removeSpeaker($jaysWorkRoom);
$livingRoom->removeSpeaker($basement);

# restore the state of the speakers (other than livingroom)
$masterBedroom->restoreState($masterBedroomState);
$jaysWorkRoom->restoreState($jaysWorkRoomState);
$basement->restoreState($basementState);

?>
</BODY>